Package org.silverpeas.components.suggestionbox

# Class SuggestionBoxComponentSettings

java.lang.Object
org.silverpeas.components.suggestionbox.SuggestionBoxComponentSettings

public final class SuggestionBoxComponentSettings extends Object
It gathers all the settings and i18n relative to the Suggestion Box component.

Author:
  mmoquillon

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMPONENT_NAME`
  The name of the Suggestion Box component in Silverpeas.
  `static final String`
  `ICONS_PATH`
  The relative path of the properties file containing the references of the icons dedicated to the Suggestion Box component.
  `static final String`
  `MESSAGES_PATH`
  The relative path of the i18n bundle of the Suggestion Box component.
  `static final String`
  `SETTINGS_PATH`
  The relative path of the properties file containing the settings of the Suggestion Box component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.silverpeas.kernel.bundle.LocalizationBundle`
  `getIcons()`
  Gets all the icons definitions particular to the Suggestion Box component.
  `static org.silverpeas.kernel.bundle.LocalizationBundle`
  `getMessagesIn(String language)`
  Gets all the messages for the Suggestion Box component and translated in the specified language.
  `static org.silverpeas.kernel.bundle.SettingBundle`
  `getSettings()`
  Gets all the settings of the Suggestion Box component.
  `static int`
  `getUserNotificationDisplayLiveTimeForLongMessage()`
  Gets the live time of a user notification displayed to users for a long message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPONENT_NAME

    public static final String COMPONENT_NAME
    The name of the Suggestion Box component in Silverpeas.
    See Also:
      - Constant Field Values

  - ### SETTINGS_PATH

    public static final String SETTINGS_PATH
    The relative path of the properties file containing the settings of the Suggestion Box component.
    See Also:
      - Constant Field Values

  - ### MESSAGES_PATH

    public static final String MESSAGES_PATH
    The relative path of the i18n bundle of the Suggestion Box component.
    See Also:
      - Constant Field Values

  - ### ICONS_PATH

    public static final String ICONS_PATH
    The relative path of the properties file containing the references of the icons dedicated to the Suggestion Box component.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMessagesIn

    public static org.silverpeas.kernel.bundle.LocalizationBundle getMessagesIn(String language)
    Gets all the messages for the Suggestion Box component and translated in the specified language.
    Parameters:
      `language` - the language in which are written the messages.
    Returns:
      the resource with the translated messages.

  - ### getSettings

    public static org.silverpeas.kernel.bundle.SettingBundle getSettings()
    Gets all the settings of the Suggestion Box component.
    Returns:
      the resource with the different component settings.

  - ### getIcons

    public static org.silverpeas.kernel.bundle.LocalizationBundle getIcons()
    Gets all the icons definitions particular to the Suggestion Box component.
    Returns:
      the resource with icons definition.

  - ### getUserNotificationDisplayLiveTimeForLongMessage

    public static int getUserNotificationDisplayLiveTimeForLongMessage()
    Gets the live time of a user notification displayed to users for a long message.
    Returns:
      a live time in milliseconds.